# Get Placements (/platform/Platform_placements_post)

Simulates placing the specified number of machines into regions, depending on available capacity and limits.

`POST /platform/placements`

## Request Body

Type: `main.getPlacementsRequest`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `compute` | `fly.MachineGuest` | No | Resource requirements for the Machine to simulate. Defaults to a performance-1x machine |
| `count` | `integer` | No | Number of machines to simulate placement. Defaults to 0, which returns the org-specific limit for each region. |
| `org_slug` | `string` | Yes |  |
| `region` | `string` | No | Region expression for placement as a comma-delimited set of regions or aliases. Defaults to "[region],any", to prefer the API endpoint's local region with any other region as fallback. |
| `volume_name` | `string` | No |  |
| `volume_size_bytes` | `integer` | No |  |
| `weights` | `placement.Weights` | No | Optional weights to override default placement preferences. |

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `200` | OK | `main.getPlacementsResponse` |

The full machine-readable OpenAPI spec is available at /openapi.json.